MediaWiki:Common.css: Difference between revisions

Xenwolf (talk | contribs)
indisputable styling for Template:Monzo and Template:Val
 
Xenwolf (talk | contribs)
+text-align in table cells for up to 9 columns
Line 6: Line 6:
span.val {
span.val {
   white-space: nowrap;
   white-space: nowrap;
}
/* text-align for up to 9 table rows */
table.left-1 td:nth-child(1),
table.left-2 td:nth-child(2),
table.left-3 td:nth-child(3),
table.left-4 td:nth-child(4),
table.left-5 td:nth-child(5),
table.left-6 td:nth-child(6),
table.left-7 td:nth-child(7),
table.left-8 td:nth-child(8),
table.left-9 td:nth-child(9) {
  text-align: left;
}
table.center-1 td:nth-child(1),
table.center-2 td:nth-child(2),
table.center-3 td:nth-child(3),
table.center-4 td:nth-child(4),
table.center-5 td:nth-child(5),
table.center-6 td:nth-child(6),
table.center-7 td:nth-child(7),
table.center-8 td:nth-child(8),
table.center-9 td:nth-child(9) {
  text-align: center;
}
table.right-1 td:nth-child(1),
table.right-2 td:nth-child(2),
table.right-3 td:nth-child(3),
table.right-4 td:nth-child(4),
table.right-5 td:nth-child(5),
table.right-6 td:nth-child(6),
table.right-7 td:nth-child(7),
table.right-8 td:nth-child(8),
table.right-9 td:nth-child(9) {
  text-align: right;
}
}